package com.telephoners.krakyournet.ctf.core;

import com.telephoners.krakyournet.ctf.beans.Team;
import com.telephoners.krakyournet.ctf.beans.User;
import com.telephoners.krakyournet.ctf.beans.tasks.TextTask;
import com.telephoners.krakyournet.ctf.beans.tasks.WebTask;
import io.dropwizard.Configuration;

import java.util.List;

public class ApplicationConfiguration extends Configuration
{
    private String dbHost;
    private int dbPort;
    private String dbName;
    private String flagHashMethod;
    private List<Team> teams;
    private List<TextTask> textTasks;
    private List<WebTask> webTasks;
    private List<User> admins;
    private String salt;

    public List<User> getAdmins()
    {
        return admins;
    }

    public void setAdmins(List<User> admins)
    {
        this.admins = admins;
    }

    public String getFlagHashMethod()
    {
        return flagHashMethod;
    }

    public List<Team> getTeams()
    {
        return teams;
    }

    public void setTeams(List<Team> teams)
    {
        this.teams = teams;
    }

    public void setFlagHashMethod(String flagHashMethod)
    {
        this.flagHashMethod = flagHashMethod;
    }

    public String getDbHost()
    {
        return dbHost;
    }

    public void setDbHost(String dbHost)
    {
        this.dbHost = dbHost;
    }

    public int getDbPort()
    {
        return dbPort;
    }

    public void setDbPort(int dbPort)
    {
        this.dbPort = dbPort;
    }

    public String getDbName()
    {
        return dbName;
    }

    public void setDbName(String dbName)
    {
        this.dbName = dbName;
    }

    public List<TextTask> getTextTasks()
    {
        return textTasks;
    }

    public void setTextTasks(List<TextTask> textTasks)
    {
        this.textTasks = textTasks;
    }

    public List<WebTask> getWebTasks()
    {
        return webTasks;
    }

    public void setWebTasks(List<WebTask> webTasks)
    {
        this.webTasks = webTasks;
    }

    public String getSalt()
    {
        return salt;
    }

    public void setSalt(String salt)
    {
        this.salt = salt;
    }
}
